Page MenuHomePhabricator

Flow: syntax highlighting tags (GeSHi) don't get styled
Open, NormalPublic

Description

Syntax highlighting doesn't work with Flow.

Example input:

<syntaxhighlight lang="css">
.foo {
    font-weight: bold;
}
</syntaxhighlight>

Output is not appropriately highlighted: https://www.mediawiki.org/wiki/Topic:Sb29d13fybslwgjh
It should look like this: https://www.mediawiki.org/w/index.php?title=User:Quiddity_%28WMF%29/sandbox&oldid=1397603


TheDJ notes (in comment below) that this might be related (plus its blockers): T69540: Produce/preserve the metadata about additional ResourceLoader modules required by extension tags

Details

Reference
bz57159

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz57159.
bzimport added a subscriber: Unknown Object (MLST).

The WMF core features team tracks this bug on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/475, but people from the community are welcome to contribute here and in Gerrit.

TheDJ notes, "ah, I see that Resourceloader modules don't work yet :)".[1]

So perhaps this bug should be expanded to cover that?
I'll leave that up to the devs.

[1] at https://www.mediawiki.org/w/index.php?title=Talk:Flow&workflow=rxtlvx7tsc2qqf1b#flow-post-ry5zwru18qpuglqk

TheDJ added a comment.Sep 9 2014, 9:58 AM

Flow needs 2 things here. When rendering the original page, it needs to pick up the resources and add them into the parser output, so they end up on the head. Additionally, they need to be transferred in api results, preferably similar to how action=parse does it for prop=modules.

This is probably closely related to bug 67540:

And specifically you might want to look at one of it's blockers:
Bug 51245, bug 58388 and bug 67515 which detail similar problems for VE..

He7d3r updated the task description. (Show Details)Feb 5 2015, 7:36 PM
He7d3r removed a project: SyntaxHighlight.
He7d3r set Security to None.
He7d3r removed a subscriber: Mattflaschen-WMF.
Mattflaschen-WMF renamed this task from Flow: syntax highlighting doesn't work to Flow: syntax highlighting tags (GeSHi) don't work.Feb 5 2015, 7:36 PM
Mattflaschen-WMF updated the task description. (Show Details)
Quiddity updated the task description. (Show Details)Feb 6 2015, 6:11 AM
Mattflaschen-WMF renamed this task from Flow: syntax highlighting tags (GeSHi) don't work to Flow: syntax highlighting tags (GeSHi) don't get styled.May 19 2016, 6:51 PM
DannyH removed a subscriber: DannyH.Jul 25 2016, 4:36 PM
PauloSincos added a subscriber: PauloSincos.EditedSep 16 2016, 1:08 PM

I'm having the same problem.

All codes is not styled.

In the log, nothing is printed.

Any help?

Volker_E rescinded a token.
Volker_E added a subscriber: Volker_E.
Volker_E removed a subscriber: wikibugs-l-list.

Release new MW version 1.29.1: https://www.mediawiki.org/wiki/Release_notes/1.29#MediaWiki_1.29.1

Bug with syntax highlight fixed?

Setup 1.29.1: https://releases.wikimedia.org/mediawiki/1.29/mediawiki-1.29.1.tar.gz

Bug with syntax highlight - stiil not fixed.

@aka_sektor: The status of this task is "open", see the upper corner. Hence this issue is not fixed and we all know that. :) No need to comment and tell. If you would like to contribute a code change to fix this problem, you are very welcome to use developer access to submit the proposed code changes as a Git branch directly into Gerrit.

@Aklapper : Just let them return it as it was in 1.28.2
I do not know what exactly they broke.

@Aklapper : Just let them return it as it was in 1.28.2
I do not know what exactly they broke.

I only know that this problem affects board too: https://www.mediawiki.org/w/index.php?title=Flow/Sandbox&header_revId=twwnd0zvz6kx6bhb&action=view-header

News? Solutions? Anything?

Ok. I make rollback to 1.28.2
No one fixes the bug.

Note: the ResourceLoader module missing is ext.pygments. You can load it unconditionally using mw.loader.load( 'ext.pygments' ), and I guess you could add this to your common.js to work around this bug if it’s very important :)

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 18 2018, 7:05 PM
SBisson moved this task from Inbox to Triaged but Future on the Growth-Team board.Jul 20 2018, 6:11 PM